## networkx 2.5+ds

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest epub

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  epub       to make an epub"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"
	@echo "  gitwash   to update the gitwash documentation"


clean:
	-rm -rf build/*
	-rm -rf ghpages_build
	-rm -rf auto_examples modules
	-rm -rf reference/generated reference/algorithms/generated reference/classes/generated reference/readwrite/generated

dist: html
	test -d build/latex || make latex
	make -C build/latex all-pdf
	-rm -rf build/dist
	(cd build/html; cp -r . ../../build/dist)
	(cd build/dist && tar czf ../dist.tar.gz .)

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) build/html
	@echo
	@echo "Build finished. The HTML pages are in build/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) build/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in build/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in build/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) build/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in build/qthelp, like this:"
	@echo "# qcollectiongenerator build/qthelp/test.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile build/qthelp/test.qhc"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) build/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."


latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) build/latex
	@echo
	@echo "Build finished; the LaTeX files are in build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) build/changes
	@echo
	@echo "The overview file is in build/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in build/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) build/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in build/doctest/output.txt."

latexpdf: latex
	@echo "Running LaTeX files through latexmk..."
	$(MAKE) -C build/latex all-pdf
	@echo "latexmk finished; the PDF files are in build/latex."

docs: clean html latexpdf
	cp build/latex/networkx_reference.pdf build/html/_downloads/.

gitwash-update:
	python ../tools/gitwash_dumper.py developer networkx \
	--project-url=http://networkx.github.io \
	--project-ml-url=http://groups.google.com/group/networkx-discuss/ \
	--gitwash-url git@github.com:matthew-brett/gitwash.git

## networkx 2.3

=== debian/changelog ===
networkx (2.3-1~bpo10+1) UNRELEASED; urgency=medium

  * buster-backports Rebuilt for buster.

 -- Sandro Tosi <morph@debian.org>  Wed, 02 Oct 2019 06:49:39 +0000

networkx (2.3-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Sandro Tosi ]
  * New upstream release; Closes: #940551
  * Rename source package, tracking py3k-only releases
  * debian/copyright
    - extend packaging copyright years
    - updated copyright to new upstream code
  * Only build py3k packages
  * debian/rules
    - it's a pure-python module, so use purelib to get the build location; this
      fixes doc building
    - use the built module to run tests, and set the right switch for verbosity
    - dont parse debian/changelog + remove other outdated variables
    - install the right doc files + remove broken pdf symlinks; Closes: #924210
  * debian/control
    - have scricted versioned deps on numpy and matplotlib
    - bump Standards-Version to 4.4.0 (no changes needed)
    - add matplotlib, pydot, pygrpahviz to Recommends; Closes: #932682
    - replace b-d on texlive-generic-extra with texlive-plain-generic;
      Addresses: #933581
  * Use objects.inv from python3/numpy -doc packages
  * debian/README.Debian
    - remove, outdated

 -- Sandro Tosi <morph@debian.org>  Sun, 22 Sep 2019 00:48:34 -0400

python-networkx (2.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout

  [ Gianfranco Costamagna ]
  * debian/control
    - Move python*-pkg-resources to real dependencies, needed to run the
      python-cov testsuite (drawing/nx_pydot.py subpackage); Closes: #902540

  [ Sandro Tosi ]
  * New upstream release
  * debian/patch
    - refresh, remove patch merged upstream
  * debian/control
    - b-d on decorator >= 4.3.0
    - bump Standards-Version to 4.2.1 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Fri, 23 Nov 2018 17:21:28 -0500

python-networkx (2.1-1) unstable; urgency=medium

  [ Sandro Tosi ]
  * New upstream release; Closes: #888458
    - references to lib2to3 have been removed upstream; Closes: #893697
  * debian/control
    - revert useless changes performed without any kind of coordination,
      preserving only the bump to Standard-Version: 3.9.8, which was not
      metioned in the changelog (and not formally released)
    - add gdal to b-d and d
    - add latexmk to b-d, needed to build doc and fix a FTBFS with sphinx 1.6;
      Closes: #872241
    - bump Standards-Version to 4.1.4 (no changes needed)
    - add ipykernel, nb2plots, nbformat, nbconvert, sphinx-gallery, traitlets
      to b-d-i, needed to build doc
  * debian/copyright
    - extend packaging copyright years
    - update upstream copyright years
  * refresh patches
  * debian/patches/0003-README.txt-to-examples-needed-by-sphinx-while-buildi.patch
    - add the missing README.txt to the examples directory
  * debian/rules
    - delete files removals line no longer needed
    - update location for upstream changelog
  * debian/patches/0004-add-copybutton.js.patch
    - add required copybutton.js file
  * debian/python.org_objects.inv,debian/scipy.org_numpy_objects.inv
    - update intersphinx doc
  * debian/patches/0005-use-debian-mathjax.js.patch
    - use MathJax.js as provided by libjs-mathjax in Debian
  * debian/python-networkx-doc.doc-base
    - update doc-base to refer to index.html as doc entry point
  * debian/patches/0006-skip-plot_football-from-sphinx-gallery-requires-netw.patch
    - plot_football.py requires network access, so skip it

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/watch: Use https protocol
  * d/changelog: Remove trailing whitespaces

 -- Sandro Tosi <morph@debian.org>  Thu, 07 Jun 2018 18:18:28 -0400

python-networkx (1.11-2) UNRELEASED; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Andreas Tille ]
  * pngmath conflicts with some other shinx tool - drop it
    Closes: #832855
  * Add missing Build-Depends
  * debhelper 9
  * cme fix dpkg-control
  * fix another shebang

 -- Andreas Tille <tille@debian.org>  Sat, 06 Aug 2016 17:50:20 +0200

python-networkx (1.11-1) unstable; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Sun, 31 Jan 2016 11:16:00 +0000

python-networkx (1.11~rc2-1) unstable; urgency=medium

  * New upstream release candidate
  * debian/copyright
    - update packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Thu, 28 Jan 2016 19:52:06 +0000

python-networkx (1.11~rc1-1) unstable; urgency=medium

  [ Thomas Goirand ]
  * Removed the exclude and add python-pydot as build-depends-indep.
  * Added python3-matplotlib, python3-numpy, python3-pygraphviz as
    build-depends-indep as well.

  [ Sandro Tosi ]
  * New upstream release candidate; Closes: #801880
  * debian/control
    - suggest the -doc pkg in the module pkgs; Closes: #807126
  * debian/copyright
    - extend packaging copyright years
    - drop BSD-style, not used
    - move the general copyright notice on top, helps with lintian
  * debian/README.source
    - removed, outdated
  * debian/*.inv
    - update intersphinx mapping files
  * debian/rules
    - dont fail if there are errors in the tests

 -- Sandro Tosi <morph@debian.org>  Sun, 10 Jan 2016 02:26:44 +0000

python-networkx (1.10-1) experimental; urgency=medium

  [ Sandro Tosi ]
  * New upstream release (Closes: #800431).

  [ Thomas Goirand ]
  * Move to Build-Depends: what was in Build-Depends-Indep: but which is needed
    for the clean target.
  * Dropped version of packages for those already provided in Jessie.
  * Removed now useless python-3.4.patch patch from Chuck Short.
  * Removed do-not-use-sphinx_rtd_theme.patch patch. Build-Depends on the
    python-sphinx-rtd-theme package instead.
  * Exclude tests which are doing internet access and failing.
  * Do not rename non-existing README file.



=== debian/control ===
Source: networkx
Section: python
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
Build-Depends: debhelper-compat (= 9),
               dh-python,
	       latexmk,
               python3-sphinx,
               python3-all,
               python3-doc,
               python3-setuptools,
Build-Depends-Indep: dvipng,
                     python3-ipykernel,
                     python3-decorator (>= 4.3.0),
                     python3-nb2plots,
                     python3-nbformat,
                     python3-nbconvert,
                     python3-numpydoc,
                     python3-sphinx-rtd-theme,
                     python3-sphinx-gallery,
                     python3-traitlets,
                     python3-gdal,
                     python3-matplotlib (>= 3.0.2),
                     python3-nose,
                     python3-numpy (>= 1.15.4),
                     python-numpy-doc,
                     python3-scipy,
                     python3-pygraphviz,
                     python3-pydot,
                     texlive-binaries,
                     texlive-fonts-recommended,
                     texlive-latex-base,
                     texlive-latex-extra,
                     texlive-latex-recommended,
                     texlive-plain-generic,
                     zip,
Standards-Version: 4.4.0
Homepage: http://networkx.github.io/
Vcs-Git: https://salsa.debian.org/python-team/modules/python-networkx.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-networkx

Package: python3-networkx
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-pkg-resources,
Recommends: python3-gdal,
            python3-matplotlib,
            python3-numpy (>= 1.15.4),
            python3-pydot,
            python3-pygraphviz,
            python3-scipy,
            python3-yaml,
Suggests: python-networkx-doc
Description: tool to create, manipulate and study complex networks (Python3)
 NetworkX is a Python-based package for the creation, manipulation, and
 study of the structure, dynamics, and functions of complex networks.
 .
 The structure of a graph or network is encoded in the edges (connections,
 links, ties, arcs, bonds) between nodes (vertices, sites, actors). If
 unqualified, by graph it's meant a simple undirected graph, i.e. no
 self-loops and no multiple edges are allowed. By a network it's usually
 meant a graph with weights (fields, properties) on nodes and/or edges.
 .
 The potential audience for NetworkX includes: mathematicians, physicists,
 biologists, computer scientists, social scientists.
 .
 This package contains the Python 3 version of NetworkX.

Package: python-networkx-doc
Section: doc
Architecture: all
Depends: libjs-mathjax,
         ${misc:Depends},
         ${sphinxdoc:Depends},
Description: tool to create, manipulate and study complex networks - documentation
 NetworkX is a Python-based package for the creation, manipulation, and
 study of the structure, dynamics, and functions of complex networks.
 .
 The structure of a graph or network is encoded in the edges (connections,
 links, ties, arcs, bonds) between nodes (vertices, sites, actors). If
 unqualified, by graph it's meant a simple undirected graph, i.e. no
 self-loops and no multiple edges are allowed. By a network it's usually
 meant a graph with weights (fields, properties) on nodes and/or edges.
 .
 The potential audience for NetworkX includes: mathematicians, physicists,
 biologists, computer scientists, social scientists.
 .
 This package contains documentation for NetworkX.

=== debian/rules ===
#!/usr/bin/make -f

LIB3 := $(shell python3 -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print (b.build_purelib)")
PYTHON3 := $(shell py3versions -r)

%:
	dh $@ --with sphinxdoc,python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean

	# Add here commands to clean up after the build process.
	rm -fr build networkx/version.py test.* doc/source/templates/gallery.html fontList.cache
	# Remove built doc too
	$(MAKE) -C doc clean
	rm -rf doc/source/*.pdf doc/source/*.zip examples/*/*.png doc/fontList.cache

	# Make sure that there's no .pyc left
	find . -name '*.pyc' -exec rm {} ';'

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	#set -e ; \
	# running tests Python 3
	-for py in $(PYTHON3) ; do\
		cd build ; \
		PYTHONPATH=../$(LIB3) $$py -m nose --verbosity=2 ; \
		cd .. ; \
	done
endif

override_dh_install:
	# Install w/o compiling *.pyc files
	# Install egg-info directories (--single-... option)
	python3 setup.py install --no-compile --root=$(CURDIR)/debian/python3-networkx \
		--single-version-externally-managed --install-layout=deb

	# Fix executable bits:
	chmod +x debian/python3-networkx/usr/lib/*/*-packages/networkx/tests/test.py

	# fix test shebang
	sed 's|/usr/bin/env python|/usr/bin/python3|' -i debian/python3-networkx/usr/lib/*/*-packages/networkx/tests/test.py
	sed 's|/usr/bin/env python|/usr/bin/python3|' -i debian/python3-networkx/usr/lib/*/*-packages/networkx/generators/tests/test_random_graphs.py

	# remove duplicate examples
	rm -rf debian/python3-networkx/usr/share/doc/python-networkx

	# don't ship python 2 code for _decorator because it can't be byte-compiled
	rm -f debian/python3-networkx/usr/lib/python3/dist-packages/networkx/external/decorator/_decorator.py

	dh_install


override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	(export MPLCONFIGDIR=. ; make -C doc dist PYTHONPATH=../$(LIB3))

	# install doc from dir 'dist', but rename it to 'html', better name
	cp -auxf doc/build/dist debian/python-networkx-doc/usr/share/doc/python-networkx-doc/html

	cp -auxf doc/build/latex/networkx_reference.pdf debian/python-networkx-doc/usr/share/doc/python-networkx-doc/

	rm -rf debian/python-networkx-doc/usr/share/doc/python-networkx-doc/html/_static/jquery.js
	dh_link -ppython-networkx-doc /usr/share/javascript/jquery/jquery.js /usr/share/doc/python-networkx-doc/html/_static/jquery.js

	dh_link -ppython-networkx-doc /usr/share/javascript/mathjax/MathJax.js /usr/share/doc/python-networkx-doc/html/_static/MathJax.js

	dh_sphinxdoc
endif

override_dh_compress:
	dh_compress -Xexamples/ -X.js -X.pdf -Xobjects.inv

override_dh_installchangelogs:
	dh_installchangelogs doc/news.rst

## networkx 2.4

=== debian/changelog ===
networkx (2.4-4ubuntu2) jammy; urgency=medium

  * d/control: Depend on nb2plots>=0.6-2ubuntu1 which includes a py310 fix.
  * d/p/fix-Sphinx-deprecation.patch,
    d/p/use-xetex-for-uft8-latex-backend-4326.patch: Cherry-picked from
    upstream to fix sphinx failures.
  * d/control: Add fonts-freefont-otf, texlive-xetex, and xindy BDs.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 25 Mar 2022 09:58:34 -0400

networkx (2.4-4ubuntu1) groovy; urgency=medium

  * d/control: Lower Recommends to Suggests for some universe packages.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 11 Aug 2020 16:41:00 -0400

networkx (2.4-4) unstable; urgency=medium

  * debian/control
    - adjust Breaks items as suggested by Adrian Bunk; Closes: #947852
    - wrap-and-sort
    - bump Standards-Version to 4.5.0 (no changes needed)
    - bump compat to 12
  * debian/patches/*
    - refresh patches
  * debian/patches/docs-remove-expected_failing_examples.patch
    - remove the sphinx_gallery expected_failing_examples directive, since
      plot_parallel_betweenness.py works just fine; Closes: #963415

 -- Sandro Tosi <morph@debian.org>  Sun, 26 Jul 2020 23:10:54 -0400

networkx (2.4-3) unstable; urgency=medium

  * debian/control
    - add Breaks on current buster versions of androguard and hyperkitty, as
      they require updates for the new networkx; Closes: #947852

 -- Sandro Tosi <morph@debian.org>  Tue, 31 Dec 2019 19:19:41 -0500

networkx (2.4-2) unstable; urgency=medium

  * upload to unstable

 -- Sandro Tosi <morph@debian.org>  Sun, 10 Nov 2019 16:54:24 -0500

networkx (2.4-1) experimental; urgency=medium

  [ Sandro Tosi ]
  * New upstream release
  * debian/rules
    - install examples
    - dont operate on networkx/tests/test.py, no longer present
  * debian/copyright
    - update copyright file; Closes: #941474
  * Use pytest instead of nose

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.
  * d/control: Fix wrong Vcs-*.

 -- Sandro Tosi <morph@debian.org>  Sat, 09 Nov 2019 23:55:38 -0500

=== debian/control ===
--- 
+++ 
@@ -1,33 +1,37 @@
 Source: networkx
 Section: python
 Priority: optional
-Maintainer: Sandro Tosi <morph@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
-Build-Depends: debhelper-compat (= 9),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
-	       latexmk,
-               python3-sphinx,
+               fonts-freefont-otf,
+               latexmk,
                python3-all,
                python3-doc,
                python3-setuptools,
+               python3-sphinx,
+               texlive-xetex,
+               xindy,
 Build-Depends-Indep: dvipng,
+                     python-numpy-doc,
+                     python3-decorator (>= 4.3.0),
+                     python3-gdal,
                      python3-ipykernel,
-                     python3-decorator (>= 4.3.0),
-                     python3-nb2plots,
+                     python3-matplotlib (>= 3.0.2),
+                     python3-nb2plots (>= 0.6-2ubuntu1~),
+                     python3-nbconvert,
                      python3-nbformat,
-                     python3-nbconvert,
+                     python3-numpy (>= 1.15.4),
                      python3-numpydoc,
+                     python3-pydot,
+                     python3-pygraphviz,
+                     python3-pytest,
+                     python3-scipy,
+                     python3-sphinx-gallery,
                      python3-sphinx-rtd-theme,
-                     python3-sphinx-gallery,
                      python3-traitlets,
-                     python3-gdal,
-                     python3-matplotlib (>= 3.0.2),
-                     python3-nose,
-                     python3-numpy (>= 1.15.4),
-                     python-numpy-doc,
-                     python3-scipy,
-                     python3-pygraphviz,
-                     python3-pydot,
                      texlive-binaries,
                      texlive-fonts-recommended,
                      texlive-latex-base,
@@ -35,24 +39,27 @@
                      texlive-latex-recommended,
                      texlive-plain-generic,
                      zip,
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: http://networkx.github.io/
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-networkx.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-networkx
+Vcs-Git: https://salsa.debian.org/python-team/modules/networkx.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/networkx
 
 Package: python3-networkx
 Architecture: all
-Depends: ${misc:Depends},
+Depends: python3-pkg-resources,
+         ${misc:Depends},
          ${python3:Depends},
-         python3-pkg-resources,
-Recommends: python3-gdal,
-            python3-matplotlib,
-            python3-numpy (>= 1.15.4),
-            python3-pydot,
-            python3-pygraphviz,
-            python3-scipy,
+Recommends: python3-numpy (>= 1.15.4),
             python3-yaml,
-Suggests: python-networkx-doc
+Suggests: python-networkx-doc,
+          python3-gdal,
+          python3-matplotlib,
+          python3-pydot,
+          python3-pygraphviz,
+          python3-scipy
+Breaks: androguard (<< 3.3.5-2~),
+        python3-django-hyperkitty (<< 1.3.0-1.1~),
+        python3-skimage (<< 0.16.2-1~),
 Description: tool to create, manipulate and study complex networks (Python3)
  NetworkX is a Python-based package for the creation, manipulation, and
  study of the structure, dynamics, and functions of complex networks.

=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 	# running tests Python 3
 	-for py in $(PYTHON3) ; do\
 		cd build ; \
-		PYTHONPATH=../$(LIB3) $$py -m nose --verbosity=2 ; \
+		PYTHONPATH=../$(LIB3) $$py -m pytest --verbosity=2; \
 		cd .. ; \
 	done
 endif
@@ -35,11 +35,7 @@
 	python3 setup.py install --no-compile --root=$(CURDIR)/debian/python3-networkx \
 		--single-version-externally-managed --install-layout=deb
 
-	# Fix executable bits:
-	chmod +x debian/python3-networkx/usr/lib/*/*-packages/networkx/tests/test.py
-
 	# fix test shebang
-	sed 's|/usr/bin/env python|/usr/bin/python3|' -i debian/python3-networkx/usr/lib/*/*-packages/networkx/tests/test.py
 	sed 's|/usr/bin/env python|/usr/bin/python3|' -i debian/python3-networkx/usr/lib/*/*-packages/networkx/generators/tests/test_random_graphs.py
 
 	# remove duplicate examples
@@ -68,6 +64,9 @@
 	dh_sphinxdoc
 endif
 
+override_dh_installexamples:
+	dh_installexamples -ppython-networkx-doc examples/*
+
 override_dh_compress:
 	dh_compress -Xexamples/ -X.js -X.pdf -Xobjects.inv

## networkx 2.5+ds

=== debian/changelog ===
networkx (2.5+ds-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * Undo changes made in -1 that were not OK
  * debian/copyright
    - update upstream copyright years
    - extend packaging copyright years
  * debian/patches/2bfdee687d0db533555384f92ce3670d47c45aec.patch
    - fix a failure in botch tests; Closes: #969756
  
  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Sandro Tosi <morph@debian.org>  Mon, 28 Sep 2020 23:31:14 -0400

networkx (2.5+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Rules-Requires-Root: no
  * debhelper-compat 13 (routine-update)
  * Override of dh_missing which gets confused over installation of
    /usr/lib/python3.8 to /usr/lib/python3
    which I feel should be fixed.
  * Remove files from archive that are changed during build

 -- Steffen Moeller <moeller@debian.org>  Thu, 27 Aug 2020 14:06:33 +0200

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,25 @@
 Source: networkx
+Maintainer: Sandro Tosi <morph@debian.org>
+Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
-               fonts-freefont-otf,
                latexmk,
                python3-all,
                python3-doc,
                python3-setuptools,
                python3-sphinx,
-               texlive-xetex,
-               xindy,
 Build-Depends-Indep: dvipng,
                      python-numpy-doc,
                      python3-decorator (>= 4.3.0),
                      python3-gdal,
                      python3-ipykernel,
                      python3-matplotlib (>= 3.0.2),
-                     python3-nb2plots (>= 0.6-2ubuntu1~),
+                     python3-nb2plots,
                      python3-nbconvert,
                      python3-nbformat,
-                     python3-numpy (>= 1.15.4),
+                     python3-numpy,
                      python3-numpydoc,
                      python3-pydot,
                      python3-pygraphviz,
@@ -40,23 +36,24 @@
                      texlive-plain-generic,
                      zip,
 Standards-Version: 4.5.0
-Homepage: http://networkx.github.io/
-Vcs-Git: https://salsa.debian.org/python-team/modules/networkx.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/networkx
+Vcs-Browser: https://salsa.debian.org/python-team/packages/networkx
+Vcs-Git: https://salsa.debian.org/python-team/packages/networkx.git
+Homepage: https://networkx.github.io/
+Rules-Requires-Root: no
 
 Package: python3-networkx
 Architecture: all
 Depends: python3-pkg-resources,
          ${misc:Depends},
          ${python3:Depends},
-Recommends: python3-numpy (>= 1.15.4),
+Recommends: python3-gdal,
+            python3-matplotlib,
+            python3-numpy,
+            python3-pydot,
+            python3-pygraphviz,
+            python3-scipy,
             python3-yaml,
 Suggests: python-networkx-doc,
-          python3-gdal,
-          python3-matplotlib,
-          python3-pydot,
-          python3-pygraphviz,
-          python3-scipy
 Breaks: androguard (<< 3.3.5-2~),
         python3-django-hyperkitty (<< 1.3.0-1.1~),
         python3-skimage (<< 0.16.2-1~),
@@ -76,8 +73,8 @@
  This package contains the Python 3 version of NetworkX.
 
 Package: python-networkx-doc
+Architecture: all
 Section: doc
-Architecture: all
 Depends: libjs-mathjax,
          ${misc:Depends},
          ${sphinxdoc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,11 @@
 
 	# Make sure that there's no .pyc left
 	find . -name '*.pyc' -exec rm {} ';'
+
+	rm -f doc/file.dot doc/fontlist-v330.json doc/path.png doc/path.to.file
+	rm -f examples/advanced/edgelist.utf-8 examples/basic/grid.edgelist examples/pygraphviz/grid.dot examples/pygraphviz/k5.dot examples/pygraphviz/k5.ps examples/pygraphviz/k5_attributes.dot
+	rm -rf .pytest_cache
+
 
 override_dh_auto_test:
 ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
@@ -72,3 +77,6 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs doc/news.rst
+
+override_dh_missing:
+	echo "I: Skipping dh_missing"

## networkx 2.6.3

=== doc/Makefile ===
--- 
+++ 
@@ -26,7 +26,6 @@
 	@echo "  changes   to make an overview of all changed/added/deprecated items"
 	@echo "  linkcheck to check all external links for integrity"
 	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"
-	@echo "  gitwash   to update the gitwash documentation"
 
 
 clean:
@@ -43,6 +42,8 @@
 	(cd build/dist && tar czf ../dist.tar.gz .)
 
 html:
+	mkdir -p auto_examples/geospatial/
+	cp ../examples/geospatial/extended_description.rst auto_examples/geospatial/
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) build/html
 	@echo
 	@echo "Build finished. The HTML pages are in build/html."
@@ -113,9 +114,3 @@
 
 docs: clean html latexpdf
 	cp build/latex/networkx_reference.pdf build/html/_downloads/.
-
-gitwash-update:
-	python ../tools/gitwash_dumper.py developer networkx \
-	--project-url=http://networkx.github.io \
-	--project-ml-url=http://groups.google.com/group/networkx-discuss/ \
-	--gitwash-url git@github.com:matthew-brett/gitwash.git

## networkx 2.8.8

=== debian/changelog ===
networkx (2.8.8-1ubuntu1) lunar; urgency=low

  * Merge from Debian unstable (LP: #2002660).  Remaining changes:
    - d/control: Lower Recommends to Suggests for some universe packages.
  * Dropped changes, superseded upstream:
    - d/control: Depend on nb2plots>=0.6-2ubuntu1 which includes a py310 fix.
    - d/p/fix-Sphinx-deprecation.patch,
      d/p/use-xetex-for-uft8-latex-backend-4326.patch: Cherry-picked from
      upstream to fix sphinx failures.
    - d/control: Add fonts-freefont-otf, texlive-xetex, and xindy BDs.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 12 Jan 2023 23:50:54 -0800

networkx (2.8.8-1) unstable; urgency=medium

  * New upstream release; Closes: #1025052
  * stop building the -doc package (including dropping all patches)
  * debian/copyright
    - extend packaging copyright years
    - update upstream copyright years
  * debian/control
    - bump Standards-Version to 4.6.2.0 (no changes needed)
  * debian/rules
    - run tests using pybuild

 -- Sandro Tosi <morph@debian.org>  Sat, 24 Dec 2022 03:11:11 -0500

networkx (2.6.3-1) unstable; urgency=medium

  * New upstream release
  * Use the new Debian Python Team contact name and address
  * debian/watch
    - track github releases
  * debian/copyright
    - update upstream copyright years
    - extend packaging copyright years
  * debian/patches/*
    - refresh/update patches
  * debian/control
    - merge b-d and b-d-i
    - add pydata-sphinx-theme to b-d, needed to build doc
    - tighten up b-d on modules needed to build doc
    - add geopandas, igraph, osmnx, seaborn, texlive-xetex, xindy,
      fonts-freefont-otf to b-d, needed by doc
  * debian/patches/docs-ignore-examples-missing-modules.patch
    - ignore some examples which needs modules not in debian
  * debian/rules
    - dont install news.rst as changelog, removed upstream

 -- Sandro Tosi <morph@debian.org>  Sat, 18 Jun 2022 00:26:38 -0400

=== debian/control ===
Source: networkx
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               latexmk,
               python3-all,
               python3-decorator (>= 4.3.0),
               python3-gdal,
               python3-ipykernel,
               python3-matplotlib (>= 3.0.2),
               python3-nbconvert,
               python3-nbformat,
               python3-numpy,
               python3-pydot,
               python3-pygraphviz,
               python3-pytest,
               python3-scipy,
               python3-setuptools,
               python3-traitlets,
               texlive-binaries,
               texlive-fonts-recommended,
               texlive-latex-base,
               texlive-latex-extra,
               texlive-latex-recommended,
               texlive-plain-generic,
               zip,
Standards-Version: 4.6.2.0
Vcs-Browser: https://salsa.debian.org/python-team/packages/networkx
Vcs-Git: https://salsa.debian.org/python-team/packages/networkx.git
Homepage: https://networkx.github.io/
Rules-Requires-Root: no

Package: python3-networkx
Architecture: all
Depends: python3-pkg-resources,
         ${misc:Depends},
         ${python3:Depends},
Recommends: python3-numpy,
            python3-yaml,
Suggests: python-networkx-doc,
          python3-gdal,
          python3-matplotlib,
          python3-pydot,
          python3-pygraphviz,
          python3-scipy
Breaks: androguard (<< 3.3.5-2~),
        python3-django-hyperkitty (<< 1.3.0-1.1~),
        python3-skimage (<< 0.16.2-1~),
Description: tool to create, manipulate and study complex networks (Python3)
 NetworkX is a Python-based package for the creation, manipulation, and
 study of the structure, dynamics, and functions of complex networks.
 .
 The structure of a graph or network is encoded in the edges (connections,
 links, ties, arcs, bonds) between nodes (vertices, sites, actors). If
 unqualified, by graph it's meant a simple undirected graph, i.e. no
 self-loops and no multiple edges are allowed. By a network it's usually
 meant a graph with weights (fields, properties) on nodes and/or edges.
 .
 The potential audience for NetworkX includes: mathematicians, physicists,
 biologists, computer scientists, social scientists.
 .
 This package contains the Python 3 version of NetworkX.

=== debian/rules ===
#!/usr/bin/make -f

LIB3 := $(shell python3 -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print (b.build_purelib)")
PYTHON3 := $(shell py3versions -r)

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean

	# Add here commands to clean up after the build process.
	rm -fr build networkx/version.py test.* doc/source/templates/gallery.html fontList.cache

	# Make sure that there's no .pyc left
	find . -name '*.pyc' -exec rm {} ';'

	rm -f doc/file.dot doc/fontlist-v330.json doc/path.png doc/path.to.file
	rm -f examples/advanced/edgelist.utf-8 examples/basic/grid.edgelist examples/pygraphviz/grid.dot examples/pygraphviz/k5.dot examples/pygraphviz/k5.ps examples/pygraphviz/k5_attributes.dot
	rm -rf .pytest_cache


override_dh_auto_test:
	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="PYTHONPATH={build_dir} {interpreter} -m pytest --verbosity=2" dh_auto_test

override_dh_install:
	# Install w/o compiling *.pyc files
	# Install egg-info directories (--single-... option)
	python3 setup.py install --no-compile --root=$(CURDIR)/debian/python3-networkx \
		--single-version-externally-managed --install-layout=deb

	# fix test shebang
	sed 's|/usr/bin/env python|/usr/bin/python3|' -i debian/python3-networkx/usr/lib/*/*-packages/networkx/generators/tests/test_random_graphs.py

	# remove duplicate examples
	rm -rf debian/python3-networkx/usr/share/doc/python-networkx

	# don't ship python 2 code for _decorator because it can't be byte-compiled
	rm -f debian/python3-networkx/usr/lib/python3/dist-packages/networkx/external/decorator/_decorator.py

	dh_install


override_dh_installexamples:
	dh_installexamples examples/*

override_dh_compress:
	dh_compress -Xexamples/ -X.js -X.pdf -Xobjects.inv

override_dh_missing:
	echo "I: Skipping dh_missing"

## networkx 3.2.1

=== debian/changelog ===
networkx (3.2.1-5) unstable; urgency=medium

  * Removed python3-pkg-resources from depends (Closes: #1083502).
  * Removed obsolete Breaks:.

 -- Thomas Goirand <zigo@debian.org>  Tue, 26 Nov 2024 10:24:26 +0100

networkx (3.2.1-4) unstable; urgency=medium

  * Add fix-postinst-warning.patch (Closes: #1060444).

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 May 2024 13:31:48 +0200

networkx (3.2.1-3) unstable; urgency=medium

  * Add http{s,}_proxy=127.0.0.1:9 when building sphinx doc.
  * Set export RES_OPTIONS=attempts:0 in d/rules to avoid network access.
  * Add remove-network-accessing-examples.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Apr 2024 16:05:51 +0200

networkx (3.2.1-2) unstable; urgency=medium

  * Add >= 4.10 to python3-libpysal build-depends.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 09 Apr 2024 15:47:14 +0200

networkx (3.2.1-1) experimental; urgency=medium

  * Adopt the package in the OpenStack team (Closes: #1065198):
    - Switch to git tag based workflow.
    - Set Maintainer: Debian OpenStack and myself as uploader.
    - Fix VCS URLs.
  * New upstream release (Closes: #1064503).
  * Ran wrap-and-sort -bastk.
  * Fix (build-)depends for this release.
  * Add upstream VCS in d/rules and build-depends on openstack-pkg-tools.
  * Build-depends on pybuild-plugin-pyproject.
  * Blacklist broken warning tests:
    - TestStronglyConnected.test_connected_raise
    - TestAGraph.test_no_warnings_raised
  * Define SETUPTOOLS_SCM_PRETEND_VERSION.
  * Let pybuild install the package, stop doing it by hand.
  * Add removed-privacy-breach-in-docs.patch.
  * Build the sphinx doc as html.
  * Cleans correctly.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Fri, 15 Mar 2024 08:47:04 +0100

networkx (2.8.8-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.

  [ Sandro Tosi ]
  * orphan

 -- Sandro Tosi <morph@debian.org>  Fri, 01 Mar 2024 15:05:38 -0500

=== debian/control ===
Source: networkx
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 latexmk,
 openstack-pkg-tools,
 pybuild-plugin-pyproject,
 python3-all,
 python3-contextily <!nodoc>,
 python3-decorator (>= 4.3.0),
 python3-gdal,
 python3-geopandas <!nodoc>,
 python3-igraph <!nodoc>,
 python3-ipykernel,
 python3-libpysal (>= 4.10) <!nodoc>,
 python3-matplotlib (>= 3.0.2),
 python3-momepy <!nodoc>,
 python3-nb2plots <!nodoc>,
 python3-nbconvert,
 python3-nbformat,
 python3-numpy <!nodoc>,
 python3-numpydoc <!nodoc>,
 python3-osmnx <!nodoc>,
 python3-pandas <!nodoc>,
 python3-pydata-sphinx-theme <!nodoc>,
 python3-pydot (>= 2.0),
 python3-pygraphviz (>= 1.12),
 python3-pytest,
 python3-scipy,
 python3-seaborn <!nodoc>,
 python3-setuptools,
 python3-sphinx <!nodoc>,
 python3-sphinx-gallery <!nodoc>,
 python3-traitlets,
 texlive-binaries,
 texlive-fonts-recommended,
 texlive-latex-base,
 texlive-latex-extra,
 texlive-latex-recommended,
 texlive-plain-generic,
 zip,
Standards-Version: 4.6.2.0
Vcs-Browser: https://salsa.debian.org/openstack-team/third-party/networkx
Vcs-Git: https://salsa.debian.org/openstack-team/third-party/networkx.git
Homepage: https://networkx.github.io/
Rules-Requires-Root: no

Package: python3-networkx
Architecture: all
Depends:
 python3-pkg-resources,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-gdal,
 python3-matplotlib,
 python3-numpy,
 python3-pydot,
 python3-pygraphviz,
 python3-scipy,
 python3-yaml,
Description: tool to create, manipulate and study complex networks (Python3)
 NetworkX is a Python-based package for the creation, manipulation, and
 study of the structure, dynamics, and functions of complex networks.
 .
 The structure of a graph or network is encoded in the edges (connections,
 links, ties, arcs, bonds) between nodes (vertices, sites, actors). If
 unqualified, by graph it's meant a simple undirected graph, i.e. no
 self-loops and no multiple edges are allowed. By a network it's usually
 meant a graph with weights (fields, properties) on nodes and/or edges.
 .
 The potential audience for NetworkX includes: mathematicians, physicists,
 biologists, computer scientists, social scientists.
 .
 This package contains the Python 3 version of NetworkX.

=== debian/watch ===
version=4
opts="pgpmode=none, dversionmangle=s/.dfsg\d//, uversionmangle=s/(rc|a|b|c)/~$1/, filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
https://github.com/networkx/networkx/tags .*/networkx-?@ANY_VERSION@@ARCHIVE_EXT@

## networkx 3.4.2

=== debian/changelog ===
networkx (3.4.2-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 11:14:51 +0200

networkx (3.4.2-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Rebased remove-network-accessing-examples.patch.
  * Rebased fix-postinst-warning.patch.
  * Add no-intersphinx.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 26 Aug 2025 15:43:19 +0200

=== debian/control ===
--- 
+++ 
@@ -12,26 +12,27 @@
  pybuild-plugin-pyproject,
  python3-all,
  python3-contextily <!nodoc>,
- python3-decorator (>= 4.3.0),
+ python3-decorator,
  python3-gdal,
  python3-geopandas <!nodoc>,
  python3-igraph <!nodoc>,
  python3-ipykernel,
- python3-libpysal (>= 4.10) <!nodoc>,
- python3-matplotlib (>= 3.0.2),
+ python3-libpysal <!nodoc>,
+ python3-matplotlib,
  python3-momepy <!nodoc>,
  python3-nb2plots <!nodoc>,
- python3-nbconvert,
  python3-nbformat,
  python3-numpy <!nodoc>,
  python3-numpydoc <!nodoc>,
+ python3-myst-nb <!nodoc>,
  python3-osmnx <!nodoc>,
  python3-pandas <!nodoc>,
  python3-pydata-sphinx-theme <!nodoc>,
- python3-pydot (>= 2.0),
- python3-pygraphviz (>= 1.12),
+ python3-pydot,
+ python3-pygraphviz,
  python3-pytest,
  python3-scipy,
+ python3-sklearn,
  python3-seaborn <!nodoc>,
  python3-setuptools,
  python3-sphinx <!nodoc>,

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/networkx/networkx
include /usr/share/openstack-pkg-tools/pkgos.make

LIB3 := $(shell python3 -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print (b.build_purelib)")
PYTHON3 := $(shell py3versions -r)

export SETUPTOOLS_SCM_PRETEND_VERSION=$(shell dpkg-parsechangelog -SVersion | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~git.*//' -e 's/~bpo.*//' -e 's/~/.0/' -e 's/+dfsg1//' -e 's/+ds1//' | head -n 1)
export PYBUILD_NAME=networkx

export RES_OPTIONS=attempts:0

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean

	# Add here commands to clean up after the build process.
	rm -fr build networkx/version.py test.* doc/source/templates/gallery.html fontList.cache

	# Make sure that there's no .pyc left
	find . -name '*.pyc' -exec rm {} ';'

	rm -f doc/file.dot doc/fontlist-v330.json doc/path.png doc/path.to.file
	rm -f examples/advanced/edgelist.utf-8 examples/basic/grid.edgelist examples/pygraphviz/grid.dot examples/pygraphviz/k5.dot examples/pygraphviz/k5.ps examples/pygraphviz/k5_attributes.dot
	rm -rf .pytest_cache
	rm -rf doc/reference/generated doc/modules/generated doc/reference/classes/generated doc/reference/readwrite/generated \
		doc/reference/algorithms/generated doc/auto_examples \
		examples/graphviz_drawing/*.dot file.dot path.png path.to.file \
		examples/geospatial/graph.graphml examples/geospatial/graph.gpkg \
		examples/geospatial/cache doc/modules

override_dh_auto_test:
	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="PYTHONPATH={build_dir} {interpreter} -m pytest networkx/tests --verbosity=2 -k 'not TestStronglyConnected.test_connected_raise and not TestAGraph.test_no_warnings_raised'" dh_auto_test

override_dh_installexamples:
	dh_installexamples examples/*

override_dh_compress:
	dh_compress -Xexamples/ -X.js -X.pdf -Xobjects.inv

override_dh_missing:
	echo "I: Skipping dh_missing"

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	http_proxy=127.0.0.1:9 https_proxy=127.0.0.1:9 ; \
	PYTHONPATH=. python3 -m sphinx -N -b html doc $(CURDIR)/debian/python3-networkx/usr/share/doc/python3-networkx/html
	dh_sphinxdoc
endif
